CriticalDepth (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: CriticalDepth

Package edu.sc.seis.TauP

# Class CriticalDepth

java.lang.Object
edu.sc.seis.TauP.CriticalDepth

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class CriticalDepth
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Utility class to keep track of criticalpoints (discontinuities or reversals in slowness gradient) within slowness and velocity models.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CriticalDepth()` |
  `CriticalDepth​(double depth, int velLayerNum, int PLayerNum, int SLayerNum)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `double` | `getDepth()` |
  `int` | `getLayerNum​(boolean isPWave)` |
  `int` | `getPLayerNum()` |
  `int` | `getSLayerNum()` |
  `int` | `getVelLayerNum()` |
  `void` | `setDepth​(double depth)` |
  `void` | `setLayerNum​(int layerNum, boolean isPWave)` | sets slowness layer for waveType waves with this depth at its top.
  `void` | `setPLayerNum​(int layerNum)` |
  `void` | `setSLayerNum​(int layerNum)` |
  `void` | `setVelLayerNum​(int layerNum)` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CriticalDepth

    public CriticalDepth()

  - ### CriticalDepth

    public CriticalDepth​(double depth, int velLayerNum, int PLayerNum, int SLayerNum)

- ## Method Details

  - ### setVelLayerNum

    public void setVelLayerNum​(int layerNum)

  - ### setPLayerNum

    public void setPLayerNum​(int layerNum)

  - ### setSLayerNum

    public void setSLayerNum​(int layerNum)

  - ### getVelLayerNum

    public int getVelLayerNum()

  - ### getPLayerNum

    public int getPLayerNum()

  - ### getSLayerNum

    public int getSLayerNum()

  - ### setLayerNum

    public void setLayerNum​(int layerNum, boolean isPWave)
    sets slowness layer for waveType waves with this depth at its top.

  - ### getLayerNum

    public int getLayerNum​(boolean isPWave)
    Returns:
      slowness layer for waveType waves with this depth at its top.

  - ### clone

    public java.lang.Object clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### setDepth

    public void setDepth​(double depth)

  - ### getDepth

    public double getDepth()